# LIBMAWK_SET_CELL

NAME
SYNOPSIS
DESCRIPTION
RETURN VALUE
SEE ALSO

## NAME

libmawk_set_cell − set the value of a mawk cell.

## SYNOPSIS

#include <libmawk.h>

CELL *libmawk_set_cell(mawk_state_t *m, CELL *cell, const char argtype,...);
CELL *libmawk_set_cellp(mawk_state_t *m, CELL *cell, const char argtype, void *argp);

## DESCRIPTION

The libmawk_set_cell() function modifies the value of a mawk cell (variable). Argumetn argtype is a format character that describes the type of the payload (accessed trough vararg).

The libmawk_set_cellp() function performs the same action but accepts a generic pointer to the payload.

Format character is one of the followings:
’d’ for int payload
’f’ for double payload
’s’ for (zero terminated) char * payload.

Argument m is a libmawk context previously returned by libmawk_initialize() or libmawk_initialize_stage3().

## RETURN VALUE

A pointer to the cell modified.

## SEE ALSO

libmawk_initialize_stage(3libmawk), libmawk_initialize(3libmawk), libmawk_get_var(3libmawk).